# getblockcount

Returns the height of the most-work fully-validated chain. The genesis block has height 0.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Reference:** [**Here**](https://developer.bitcoin.org/reference/rpc/getblockcount.html)

## Returns

| Name | Type    | Description             |
| ---- | ------- | ----------------------- |
| n    | numeric | The current block count |

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getblockcount",
	"params": []
}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
 -X POST \
 -H "Content-Type: application/json" \
 -d '{
	"jsonrpc": "1.0",
	"id": "curltest",
	"method": "getblockcount",
	"params": []
}'

```

{% endtab %}
{% endtabs %}
